This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 838178 (CVE-2012-3863)

Summary: CVE-2012-3863 asterisk: Possible resource leak on uncompleted re-invite transactions
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: itamar, jeff, jlieskov, lmadsen, rbryant
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120705,reported=20120705,source=full-disclosure,cvss2=3.5/AV:N/AC:M/Au:S/C:N/I:N/A:P,fedora-17/asterisk=affected,fedora-16/asterisk=affected,epel-6/asterisk=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-11 04:03:48 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 838180, 838181, 838182    
Bug Blocks:    

Description Kurt Seifried 2012-07-06 18:47:19 EDT
AST-2012-010

If Asterisk sends a re-invite and an endpoint responds to the re-invite with a provisional response but never sends a final response, then the SIP dialog structure is never freed and the RTP ports for the call are never released. If an attacker has the ability to place a call, they could create a denial of service by using all available RTP ports.

References:

http://downloads.asterisk.org/pub/security/AST-2012-010.pdf
http://downloads.asterisk.org/pub/security/AST-2012-010.txt
http://downloads.asterisk.org/pub/security/AST-2012-010-10.diff
http://downloads.asterisk.org/pub/security/AST-2012-010-1.8.diff
Comment 1 Kurt Seifried 2012-07-06 18:51:52 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-17 [bug 838180]
Affects: fedora-16 [bug 838181]
Affects: epel-6 [bug 838182]
Comment 2 Jan Lieskovsky 2012-07-09 06:16:38 EDT
Upstream ticket:
  https://issues.asterisk.org/jira/browse/ASTERISK-19992
Comment 3 Fedora Update System 2012-07-19 21:57:43 EDT
asterisk-10.5.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Kurt Seifried 2012-12-11 04:04:29 EST
asterisk-1.8.18.0-1.el6 has been pushed to the Epel 6 repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Kurt Seifried 2012-12-11 04:04:40 EST
asterisk-1.8.18.0-1.fc16 has been pushed to the Fedora 16 stable repository. If problems still persist, please make note of it in this bug report.